@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    font-family: "Roboto", sans-serif;
    font-weight: 300;
    font-style: normal;
}

.header {
    height: 8vh;
    display: flex;
    align-items: center;
    justify-content: center;
    position: sticky;
    top: 0;
    z-index: 2;
    background-color: white;
}

.header_container {
    width: 80%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header_container a {
    text-decoration: none;
    color: inherit;
}

.nav_options ul li {
    display: inline;
    padding: 20px;
}

.nav_options ul a {
    text-decoration: none;
    color: inherit;
    border-bottom: 2px solid transparent;
    transition: 0.2s ease-in-out;
}

.nav_options ul a:hover {
    border-bottom: 2px solid #ccc;
    transition: 0.2s ease-in-out;
}

.hero_section {
    height: 50vh;
    display: flex;
    align-items: center;
    justify-content: space-around;
    padding: 0 60px;
}

.hero_section img {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 40px;
    box-shadow: 3px 3px 5px rgba(1, 1, 1, 0.3);
}

.hero_title h1 {
    font-size: 60px;
    letter-spacing: 2px;
}

.hero_title h3 {
    font-size: 30px;
    font-weight: 300;
}

.h-card {
    display: flex;
    margin: 2rem 1rem;
    box-shadow: 0px 5px 4px rgba(221, 221, 221, 0.25);
    align-items: center;
    border: 1px solid #e2e2e2;
    border-radius: 0.5rem;
    overflow: hidden;
    width: 80%;
}

.card_content {
    padding: 2rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.status {
    display: flex;
    justify-content: space-between;
}

.read-btn {
    all: unset;
    font-weight: 600;
    border-bottom: 1px solid transparent;
}

.read-btn:hover {
    border-bottom: 1px solid #ccc;
}

.short-card {
    display: flex;
    align-items: center;
    justify-content: center;
}

.card {
    border: 1px solid #ccc;
    border-radius: 5px;
    width: 80%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    box-shadow: 3px 1px 5px rgba(1, 1, 1, 0.2);
}

.card img {
    background-size: cover;
    display: inline-block;
    width: 430px;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}

.card_content {
    padding: 0 40px;
}

.card_content h4 {
    font-size: 20px;
    margin-bottom: 20px;
}

.card_content .main_para {
    margin-bottom: 20px;
}

.card_content div {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.card_content a {
    text-decoration: none;
    color: inherit;
    font-weight: 500;
}

.v-card-section {
    height: 55vh;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 54px;
    margin-top: 40px;
}

.card_container {
    width: 75%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 60px;
}

.v-card {
    border: 1px solid #ccc;
    border-radius: 5px;
    height: 100%;
    width: 30%;
    box-shadow: 0px 1px 5px rgba(1, 1, 1, 0.2);
}

.v-card-content {
    padding: 20px 20px;
}

.v-card-content a {
    text-decoration: none;
    color: inherit;
    font-weight: 500;
}

.v-card-content h4 {
    font-size: 20px;
    margin-bottom: 20px;
}

.v-card-content .main_para {
    margin-bottom: 20px;
}

.v-card-content div {
    display: flex;
    align-items: center;
    justify-content: space-between;
}


.v-card img {
    display: inline-block;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    width: 100%;
    height: 100%;
}

footer {
    border-top: 2px solid #555555;
    height: 5vh;
    display: flex;
    align-items: center;
    padding-left: 9rem;
}


/* posts.html */


.blog_header {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.blog_header_container {
    width: 80%;
}

.blog_header_img img {
    display: inline-block;
    height: 100%;
    width: 100%;
    object-fit: contain;
    border-radius: 10px;
    box-shadow: 1px 1px 5px rgba(1, 1, 1, 0.7);
}

.blog_header_title {
    border-bottom: 2px solid #808080;
    line-height: 2rem;
    padding: 30px 0 30px 0;
}

.blog_header_title h3 {
    font-size: 30px;
}

.blog_header_title p {
    font-size: 18px;
    font-weight: bold;
}

.blog_header_title span {
    font-weight: 300;
    font-size: 16px;
    padding-left: 20px;
}

.blog_post {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.blog_post_container {
    width: 80%;
    height: 100%;
}

.blog_post_container p {
    margin: 30px 0;
    font-size: 15px;
    text-align: justify;
}

.blog_post_container h3 {
    font-size: 20px;
}

.blog_post_container h4 {
    font-size: 17px;
}

/* media query */

@media only screen and (max-width: 768px) {
    .hero_section {
        flex-direction: column;
        margin-top: 10px;
        height: 80vh;
    }

    .h-card {
        flex-direction: column-reverse;
        gap: 40px;
    }

    .card_content {
        padding: 10px 20px;
    }

    .h-card img {
        width: 100%;
    }

    .card_content .status {
        padding: 10px 0;
    }

    .v-card-section {
        height: 200vh;
    }

    .card_container {
        flex-direction: column;
    }

    .v-card {
        width: 80%;
    }

    footer {
        align-items: center;
        justify-content: center;
        padding: 0;
    }
}

@media only screen and (max-width: 600px) {
    .hero_image img {
        width: 100%;
    }

    .hero_title {
        text-align: center;
        font-size: medium;
    }
}

@media only screen and (max-width: 400px) {
    .hero_image img {
        width: 100%;
    }

    .hero_title h1,
    h3 {
        text-align: center;
    }


}